---
updatedAt: 2026-02-27T06:36:24.000Z
agentTools:
  projectIndex: https://developers.smsedge.io/llms.txt
---

# Stats

This function returns statistics about server sendings

# OpenAPI definition

```json
{
  "openapi": "3.1.0",
  "info": {
    "title": "smsedge-api",
    "version": "1"
  },
  "servers": [
    {
      "url": "https://api.smsedge.com"
    }
  ],
  "components": {
    "securitySchemes": {
      "sec0": {
        "type": "apiKey",
        "in": "query",
        "name": "api_key"
      }
    }
  },
  "security": [
    {
      "sec0": []
    }
  ],
  "paths": {
    "/v1/email/server/stats": {
      "get": {
        "summary": "Stats",
        "description": "This function returns statistics about server sendings",
        "operationId": "update-server",
        "parameters": [
          {
            "name": "api_key",
            "in": "query",
            "description": "Your API Key for Authorization",
            "required": true,
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "server_id",
            "in": "query",
            "required": true,
            "schema": {
              "type": "integer",
              "format": "int32"
            }
          },
          {
            "name": "date_from",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "date_to",
            "in": "query",
            "schema": {
              "type": "string",
              "format": "date"
            }
          },
          {
            "name": "group_type",
            "in": "query",
            "description": "Options: day, week, month. The default value is day",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "200",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "[\n    {\n        \"success\": true,\n        \"data\": [],\n        \"errors\": [],\n        \"response\": {\n            \"code\": 200,\n            \"description\": \"OK\",\n            \"date\": \"2021-11-30 13:13:05\"\n        },\n        \"api\": {\n            \"version\": \"v1\",\n            \"module\": \"email\",\n            \"function\": \"server\"\n        },\n        \"user\": {\n            \"id\": 2\n        }\n    }\n]"
                  }
                },
                "schema": {
                  "type": "array",
                  "items": {
                    "type": "object",
                    "properties": {
                      "success": {
                        "type": "boolean",
                        "example": true,
                        "default": true
                      },
                      "data": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "errors": {
                        "type": "array",
                        "items": {
                          "type": "object",
                          "properties": {}
                        }
                      },
                      "response": {
                        "type": "object",
                        "properties": {
                          "code": {
                            "type": "integer",
                            "example": 200,
                            "default": 0
                          },
                          "description": {
                            "type": "string",
                            "example": "OK"
                          },
                          "date": {
                            "type": "string",
                            "example": "2021-11-30 13:13:05"
                          }
                        }
                      },
                      "api": {
                        "type": "object",
                        "properties": {
                          "version": {
                            "type": "string",
                            "example": "v1"
                          },
                          "module": {
                            "type": "string",
                            "example": "email"
                          },
                          "function": {
                            "type": "string",
                            "example": "server"
                          }
                        }
                      },
                      "user": {
                        "type": "object",
                        "properties": {
                          "id": {
                            "type": "integer",
                            "example": 2,
                            "default": 0
                          }
                        }
                      }
                    }
                  }
                }
              }
            }
          },
          "401": {
            "description": "401",
            "content": {
              "application/json": {
                "examples": {
                  "Result": {
                    "value": "{\n  \"success\": false,\n  \"data\": [],\n  \"errors\": [\n    \"Valid API key not specified\"\n  ],\n  \"response\": {\n    \"code\": 401,\n    \"description\": \"Authentication Failure\",\n    \"date\": \"2018-02-14 12:38:19\"\n  },\n  \"api\": {\n    \"version\": \"v1\",\n    \"module\": \"user\",\n    \"function\": \"details\"\n  }\n}"
                  }
                },
                "schema": {
                  "type": "object",
                  "properties": {
                    "success": {
                      "type": "boolean",
                      "example": false,
                      "default": true
                    },
                    "data": {
                      "type": "array",
                      "items": {
                        "type": "object",
                        "properties": {}
                      }
                    },
                    "errors": {
                      "type": "array",
                      "items": {
                        "type": "string",
                        "example": "Valid API key not specified"
                      }
                    },
                    "response": {
                      "type": "object",
                      "properties": {
                        "code": {
                          "type": "integer",
                          "example": 401,
                          "default": 0
                        },
                        "description": {
                          "type": "string",
                          "example": "Authentication Failure"
                        },
                        "date": {
                          "type": "string",
                          "example": "2018-02-14 12:38:19"
                        }
                      }
                    },
                    "api": {
                      "type": "object",
                      "properties": {
                        "version": {
                          "type": "string",
                          "example": "v1"
                        },
                        "module": {
                          "type": "string",
                          "example": "user"
                        },
                        "function": {
                          "type": "string",
                          "example": "details"
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "deprecated": false
      }
    }
  },
  "x-readme": {
    "headers": [],
    "explorer-enabled": true,
    "proxy-enabled": true
  },
  "x-readme-fauxas": true
}
```